package cn.im.trafficlinkage.action;

 import cn.im.trafficlinkage.service.TrafficdevicehisstateService;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;
import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import cn.base.aspect.OperateType;
import cn.base.bean.BaseAction;
import cn.base.excel.ExcelCol;
import cn.base.excel.ExportEngine;
import cn.base.util.CommUtils;
import cn.base.util.Constants;
import cn.base.util.LogConstants;
import cn.base.util.StringUtil;
import cn.base.util.Struts2Utils;

@SuppressWarnings({"all"})
@Component("trafficdevicehisstateAction")
public class TrafficdevicehisstateAction extends BaseAction{
	private static final long serialVersionUID = 1L;
	private static Logger iLog = Logger.getLogger(TrafficdevicehisstateAction.class);
	
	@Autowired
	private TrafficdevicehisstateService service;
	
	/**
	 * 分页
	 */
	/*
	@OperateType(value = LogConstants.LOG_QUERY ,info ="listTrafficdevicehisstateByPage")
	public void listTrafficdevicehisstateByPage(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			int page = Integer.parseInt(Struts2Utils.getParameter("page"));
			int rows = Integer.parseInt(Struts2Utils.getParameter("rows"));
			int start = ( (page == 0 ?  1 : page ) - 1) * rows ;
			map.put("start",start );
			map.put("limit",rows );
			Struts2Utils.renderJson(this.service.listTrafficdevicehisstateByPage(map));
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("TrafficdevicehisstateAction-listTrafficdevicehisstateByPage-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}
	*/
	
	/**
	 * 查询总数
	 */
	/*
	@OperateType(value = LogConstants.LOG_QUERY ,info ="count_Trafficdevicehisstate")
	public void count_Trafficdevicehisstate(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			Struts2Utils.renderJson(this.service.count_Trafficdevicehisstate(map));
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("TrafficdevicehisstateAction-count_Trafficdevicehisstate-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}
	*/
	
	/**
	 * 查询 Trafficdevicehisstate
	 */
	/*
	@OperateType(value = LogConstants.LOG_GET ,info ="query_Trafficdevicehisstate")
	public void query_Trafficdevicehisstate(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			Struts2Utils.renderJson(this.service.query_Trafficdevicehisstate(map));
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("TrafficdevicehisstateAction-query_Trafficdevicehisstate-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}
	*/
	@OperateType(value = LogConstants.LOG_GET ,info ="getExecStateHisState")
	public void getExecStateHisState(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			Struts2Utils.renderJson(this.service.getExecStateHisState(map));
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("TrafficdevicehisstateAction-getExecStateHisState-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}
	
	/**
	 * 查询 一条Trafficdevicehisstate
	 */
	/*
	@OperateType(value = LogConstants.LOG_GET ,info ="get_Trafficdevicehisstate")
	public void get_Trafficdevicehisstate(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			Struts2Utils.renderJson(this.service.get_Trafficdevicehisstate(map));
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("TrafficdevicehisstateActionquery_Trafficdevicehisstate-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}
	*/
	
	/**
	 * 删除
	 */
	/*
	@OperateType(value = LogConstants.LOG_DELETE ,info ="deleteTrafficdevicehisstate")
	public void delete_Trafficdevicehisstate(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			if(!CommUtils.isEmpty(map)){
				int result = service.delete_Trafficdevicehisstate(map);
				Struts2Utils.renderJson(Constants.SUCCESS);
			}else{
				 throw new Exception("请正确的选择删除记录!!!");
			}
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("TrafficdevicehisstateAction-delete_Trafficdevicehisstate-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}
	*/

	/**
	 * 插入
	 */
	/*
	@OperateType(value = LogConstants.LOG_ADD ,info ="insert_Trafficdevicehisstate")
	public void insert_Trafficdevicehisstate(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			if(StringUtil.checkEmpty(map.get("ID"))){
				map.put("ID",StringUtil.getUUID());
			}
			service.insert_Trafficdevicehisstate(map);
			Struts2Utils.renderJson(Constants.SUCCESS);
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("TrafficdevicehisstateAction-listTrafficdevicehisstateByPage()-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}
	*/
	
	/**
	 * 修改
	 */
	/*
	@OperateType(value = LogConstants.LOG_UPDATE ,info ="update_Trafficdevicehisstate")
	public void update_Trafficdevicehisstate(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			int result = service.update_Trafficdevicehisstate(map);
			Struts2Utils.renderJson(Constants.SUCCESS);
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("TrafficdevicehisstateAction-update_Trafficdevicehisstate-error: " +e);
			Struts2Utils.renderJson(null);
		}
	}
	*/
	
	/**
	 * 批量删除
	 */
	/*
	@OperateType(value = LogConstants.LOG_DELETE ,info ="batch_delete_Trafficdevicehisstate")
	public void batch_delete_Trafficdevicehisstate(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			Map m = new HashMap();
			m.put("keyword", map.get("keyword").toString());
			int result = service.batch_delete_Trafficdevicehisstate(m);
			Struts2Utils.renderJson(Constants.SUCCESS);
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("TrafficdevicehisstateAction-batch_delete_Trafficdevicehisstate-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}
	*/
	
	/**
	 * 导出Excel
	 */
	/*
	@OperateType(value = LogConstants.LOG_EXPORT ,info ="exoprtExcel")
	public void exoprtExcel(){
		try {
			Map map = Struts2Utils.getRequestParameterMap();
			map.put("start",0 );
			map.put("limit",5000);
			map = service.exportTrafficdevicehisstate(map);
			ExcelCol[] cells = new ExcelCol[2];
			cells[0] = new ExcelCol();
			cells[0].setColKey("字段名");
			cells[0].setColName("字段名称");
			cells[1] = new ExcelCol();
			cells[1].setColKey("字段名");
			cells[1].setColName("字段名称");
			Map params = new HashMap();
			params.put("fileName", "交通设备历史状态表");
			params.put("sheetName", "交通设备历史状态表");
			params.put("header", "交通设备历史状态表");	
			new ExportEngine().exportCommData(params, cells, (ArrayList)map.get("rows"), Struts2Utils.getResponse());
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("TrafficdevicehisstateAction-exoprtExcel-error:" +e);
			
		}
	}
	*/
}
